Subject: bug#40460: 26.3; Make arg of `forward-whitespace' and `forward-symbol' optional

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 01 Mar 2021 16:37:58 +0100

Drew Adams <[email-masked]> writes:

> The numeric argument to most `forward-*' commands is optional,
> defaulting to 1.  This should be the case in general.  These three
> commands require their ARG, but they should not.  It should be
> optional and default to 1.
>
>  `forward-button'
>  `forward-symbol'
>  `forward-whitespace'

It's true that this is somewhat inconsistent -- but I also think it's a
mistake that the other `forward-*' functions have an optional argument.
So I don't think making these follow that pattern is a move in the right
direction, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no